curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/destinations/d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetDestinationRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.destinations.get_destination(
request=GetDestinationRequest(
destination_id="d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c"
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetDestinationRequest
async def get_destination():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.destinations.get_destination_async(
request=GetDestinationRequest(
destination_id="d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c"
)
)
print(response)
asyncio.run(get_destination())
{
"id": "d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
"name": "My S3 Destination",
"type": "s3",
"config": {
"remote_url": "s3://my-bucket/output/",
"aws_access_key_id": "AKIAIOSFODNN7EXAMPLE",
"aws_secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"
},
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-15T12:00:00Z"
}
Destination
Get destination connector
Retrieve detailed information for a specific destination connector.
GET
/
api
/
v1
/
destinations
/
{destination_id}
curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/destinations/d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetDestinationRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.destinations.get_destination(
request=GetDestinationRequest(
destination_id="d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c"
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetDestinationRequest
async def get_destination():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.destinations.get_destination_async(
request=GetDestinationRequest(
destination_id="d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c"
)
)
print(response)
asyncio.run(get_destination())
{
"id": "d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
"name": "My S3 Destination",
"type": "s3",
"config": {
"remote_url": "s3://my-bucket/output/",
"aws_access_key_id": "AKIAIOSFODNN7EXAMPLE",
"aws_secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"
},
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-15T12:00:00Z"
}
Path parameters
string
required
The unique identifier of the destination connector.
Response
string
required
Unique identifier for the destination connector.
string
required
Destination connector name.
string
required
Connector type.
object
required
Connector configuration. Fields vary by connector
type.string
required
ISO 8601 timestamp when the connector was created.
string
ISO 8601 timestamp when the connector was last updated.
curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/destinations/d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetDestinationRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.destinations.get_destination(
request=GetDestinationRequest(
destination_id="d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c"
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetDestinationRequest
async def get_destination():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.destinations.get_destination_async(
request=GetDestinationRequest(
destination_id="d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c"
)
)
print(response)
asyncio.run(get_destination())
{
"id": "d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
"name": "My S3 Destination",
"type": "s3",
"config": {
"remote_url": "s3://my-bucket/output/",
"aws_access_key_id": "AKIAIOSFODNN7EXAMPLE",
"aws_secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"
},
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-15T12:00:00Z"
}
Was this page helpful?
⌘I

